git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/mp3dir2html10
1 files changed, 7 insertions, 3 deletions
diff --git a/bin/mp3dir2html b/bin/mp3dir2html
index ce90f0b..c22509e 100755
--- a/bin/mp3dir2html
+++ b/bin/mp3dir2html
@@ -3,12 +3,16 @@
# Paste a file here that contains the HTML code to be placed _before_ the MP3 tag list.
DIRLISTHEAD="/etc/mp3dir2html/head.php"
-# Regular expression that is to be excluded in the final listing
-DIRLISTEX='^Susperia|^B.*hse.*nkelz'
-
+# Regular expression that is to be excluded in the final listing should exist as
+# DIRLISTEX='what.*ever|another.*one' in CONFFILE
+CONFFILE='/etc/mp3dir2html/mp3dir2html.conf'
# CORE SCRIPT FROM HERE. DON'T FIDDLE IF YOU DON'T KNOW WHAT YOU'RE DOING.
+DIRLISTEX="0x1fedbeef"
+[ -r "$CONFFILE" ] && . "$CONFFILE" || echo "WARNING: $CONFFILE not readable..."
+echo "$DIRLISTEX"
+
function m3l_help {
echo "Usage: $(basename $0) [options]";echo
echo "Options:"